# Treasure Data User API

This allows you to control user-related actions via the API.

## GET /user/list

This operation gets a list of users.

| HTTP Verb | Resource | Description |
|  --- | --- | --- |
| GET | `/v3/user/list/` | get the list of users |


**Sample Response Status: 200 OK**


```json
[
  {
    "id": 123,
    "account_owner": true,
    "administrator": true,
    "created_at": "2020-12-31T11:22:33.000Z",
    "email": "jake@companyName.com",
    "first_name": "Jake",
    "gravatar_url": "http://foo",
    "identifier": "employee_number-00001",
    "last_name": "Becker",
    "name": "Jake Becker",
    "organization": "string",
    "phone": "(650) 469-3644",
    "roles": [
      "string"
    ],
    "updated_at": "2020-12-31T11:22:33.000Z"
  }
]
```

## GET /user/show

This operation shows the current user’s information.

| HTTP Verb | Resource | Description |
|  --- | --- | --- |
| GET | `/v3/user/show` | show current user |


**Sample Response Status: 200 OK**


```json
{
  "id": 123,
  "account_owner": true,
  "administrator": true,
  "created_at": "2020-12-31T11:22:33.000Z",
  "email": "jake@companyName.com",
  "first_name": "Jake",
  "gravatar_url": "http://foo",
  "identifier": "employee_number-00001",
  "last_name": "Becker",
  "name": "Jake Becker",
  "organization": "string",
  "phone": "(650) 469-3644",
  "roles": [
    "string"
  ],
  "updated_at": "2020-12-31T11:22:33.000Z"
}
```

## POST /v3/user/remove/:user_email

This operation deletes a user by email.

| HTTP Verb | Resource | Description |
|  --- | --- | --- |
| GET | `/v3/user/remove/:user_email` | delete specified user with email |


| Parameter Name | Required | Type | Description |
|  --- | --- | --- | --- |
| user_email | Yes | String | The email user uses to log in to TD Console. For example, `jake@companyName.com`. |



```bash Sample Request
curl --location --request POST \
'https://api.treasuredata.com/v3/user/remove/jake@companyName.com' \
--header 'Accept: application/json' \
--header 'Authorization: TD1 123/abcdef•••••••••••••••••••••••0123456789'
```


```json Sample Response Status: 200 OK
{
  "user": "jake@companyName.com"
}
```